<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('trade_noc_for_mandaps', function (Blueprint $table) {
            $table->string('agnishamak_javak_kramank')->nullable();
            $table->date('agnishamak_police_date')->nullable();
            $table->string('stanikpolice_javak_kramank')->nullable();
            $table->date('stanikpolice_date')->nullable();
            $table->string('sambandhit_javak_kramank')->nullable();
            $table->date('sambandhit_date')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('trade_noc_for_mandaps', function (Blueprint $table) {
            $table->dropColumn('agnishamak_javak_kramank');
            $table->dropColumn('agnishamak_police_date');
            $table->dropColumn('stanikpolice_javak_kramank');
            $table->dropColumn('stanikpolice_date');
            $table->dropColumn('sambandhit_javak_kramank');
            $table->dropColumn('sambandhit_date');
        });
    }
};
